#
# spec file for package linuxconsoletools
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linuxconsoletools
Version:        1.4.8
Release:        5.1
Summary:        A set of utilities for joysticks
License:        GPL-2.0+
Group:          Hardware/Joystick
Url:            http://sourceforge.net/projects/linuxconsole/
Source0:        http://sourceforge.net/projects/linuxconsole/files/%{name}-%{version}.tar.bz2
BuildRequires:  libSDL-devel
BuildRequires:  linux-kernel-headers
BuildRequires:  udev

# moved in 13.2
Provides:       input-utils = 2007.06.22
Obsoletes:      input-utils <= 2007.06.22

%description
This package contains the following utilities and associated
documentation:
* inputattach - connects legacy serial devices to the input layer
* joystick utilities - calibrate and test joysticks and joypads

The following utilities are provided to calibrate and test joysticks:
* ffcfstress, ffmvforce, fftest - test force-feedback devices
* ffset - set force-feedback device parameters
* jscal - calibrate joystick devices, reconfigure the axes and buttons
* jscal-store, jscal-restore - store and retrieve joystick device
  settings as configured using jscal
* jstest - test joystick devices


%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}
chmod 644 %{buildroot}%{_mandir}/man1/*
# Fix udev dir
mkdir -p %{buildroot}%{_libexecdir}/udev
mv %{buildroot}/lib/udev/js-set-enum-leds %{buildroot}%{_libexecdir}/udev/js-set-enum-leds 

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_datadir}/joystick/
%{_mandir}/man1/*
%{_libexecdir}/udev/js-set-enum-leds

%changelog
* Mon Oct  3 2016 adam@mizerski.pl
- added PREFIX=%%{_prefix} to build (fix bsc#1000895)
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 1.4.8
  * Set up PS3 controller LEDs correctly
  * inputattach supports Wacom IV tablets on kernels 3.17 and greater
* Tue Feb 18 2014 adam@mizerski.pl
- update to 1.4.7
  * Correctly handle newer versions of the Spaceball firwmare (thanks to
    Andrew Basterfield <abasterfield@gmail.com>). This fixes Debian
    [#298494].
- updated the comment in spec file about when the spit took place.
* Mon Jun  3 2013 adam@mizerski.pl
- new package (version 1.4.6)
